Bug 624679 - smolt creates directory '.smolt' in /. Should this be moved to /var/run/smolt or /var/lib/smolt?
smolt creates directory '.smolt' in /. Should this be moved to /var/run/smol...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-17 09:25 EDT by Tom London
Modified: 2015-02-18 08:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:29:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2010-08-17 09:25:55 EDT
Description of problem:
I noticed that smolt appears to be creating the directory '.smolt' in /:

[tbl@tlondon ~]$ ls -ladZ /.smolt*
drwx------. root root system_u:object_r:root_t:s0      /.smolt
[tbl@tlondon ~]$ 

SELinux wants to label this 'default_t'.  Probably not right....

Version-Release number of selected component (if applicable):
smolt-1.4.2.2-3.fc15.noarch
selinux-policy-3.8.8-14.fc14.noarc

How reproducible:
Believe every time....

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Mike McGrath 2010-08-17 09:43:43 EDT
I can't find referencing /.smolt anywhere.  It does store information in ~/.smolt/ in a couple of ways.  I'm wondering if somewhere in the install process if root's home isn't being properly defined.
Comment 2 Tom London 2010-08-17 09:53:58 EDT
Hmm... Looks like it was created on 24 December 2009:

[root@tlondon ~]# ls -ld /.smolt
drwx------. 2 root root 4096 Dec 24  2009 /.smolt
[root@tlondon ~]# 

and

[root@tlondon ~]# ls -lu /.smolt/
total 4
-rw-r--r--. 1 root root 104 Jan  1  2010 uuiddb.cfg
[root@tlondon ~]# 

"locate" reports no other instances of '.smolt':

[root@tlondon ~]# locate .smolt
/.smolt
/.smolt/uuiddb.cfg
[root@tlondon ~]#
Comment 3 Mike McGrath 2010-08-17 10:10:22 EDT
When was your /etc/sysconfig/firstboot created?
Comment 4 Tom London 2010-08-17 10:23:56 EDT
[root@tlondon ~]# ls -l /etc/sysconfig/firstboot
-rw-r--r--. 1 root root 17 Dec 24  2009 /etc/sysconfig/firstboot
[root@tlondon ~]#
Comment 5 Tom London 2010-08-17 10:24:51 EDT
My system is pretty much constantly updated Rawhide system.
Comment 6 Mike McGrath 2010-08-17 10:55:35 EDT
still trying to verify root root cause.  You can safely remove that file though and it won't be re-created unless you re-run firstboot (which is non-typical).

I checked with a member of the packaging committee and it seems to be a bad idea to automatically move that directory via a package so you and everyone else impacted (probably a lot) will just have to remove that directory manually.

I'm working on a patch upstream to try to make sure it doesn't happen again no matter what the conditions of ~ might be.
Comment 7 Tom London 2010-08-17 11:07:19 EDT
OK.  Just to be clear, if I remove this directory ('/.smolt'), what will happen the next time cron kick starts smolt?  Will it create a new uuiddb.cfg in /root/.smolt?  Elsewhere?

Thanks.
Comment 8 Mike McGrath 2010-08-17 11:25:26 EDT
the cron job will actually run as smolt and attempt to create the file (and fail to do so) mostly by design.

If you run smolt manually or via the gui, it will recreate the file in that users home dir.  The uuiddb.cfg file actually only contains the public uuid file which is used as a reference convenience for smolt for linking and the smolt gui.  Your actual hardware uuid (the non public one) is stored in /etc/ and doesn't change.
Comment 9 Fedora Admin XMLRPC Client 2011-02-08 16:14:58 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora End Of Life 2013-04-03 16:19:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 11 Fedora End Of Life 2015-01-09 16:45:06 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-18 08:29:02 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.